org.apache.ignite.plugin.security

## Class SecurityBasicPermissionSet

- java.lang.Object
- - org.apache.ignite.plugin.security.SecurityBasicPermissionSet

All Implemented Interfaces:
  Serializable, LessNamingBean, SecurityPermissionSet

    public class SecurityBasicPermissionSet
    extends Object
    implements SecurityPermissionSet

Simple implementation of `SecurityPermissionSet` interface. Provides convenient way to specify permission set in the XML configuration.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SecurityBasicPermissionSet()`

### Method Summary

Methods
`Map<String,Collection<SecurityPermission>>` `cachePermissions()` Map of cache names to cache permissions.
`boolean` `defaultAllowAll()` Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.
`void` `setCachePermissions(Map<String,Collection<SecurityPermission>> cachePerms)` Setter for set cache permission map.
`void` `setDefaultAllowAll(boolean dfltAllowAll)` Setter for set default allow all.
`void` `setSystemPermissions(Collection<SecurityPermission> sysPerms)` Setter for set collection system permission.
`void` `setTaskPermissions(Map<String,Collection<SecurityPermission>> taskPerms)` Setter for set task permission map.
`Collection<SecurityPermission>` `systemPermissions()` Collection of system-wide permissions (events enable/disable, Visor task execution).
`Map<String,Collection<SecurityPermission>>` `taskPermissions()` Map of task names to task permissions.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SecurityBasicPermissionSet

    public SecurityBasicPermissionSet()

### Method Detail

#### setCachePermissions

    public void setCachePermissions(Map<String,Collection<SecurityPermission>> cachePerms)

Setter for set cache permission map.

Parameters:
  `cachePerms` - Cache permissions.

#### setTaskPermissions

    public void setTaskPermissions(Map<String,Collection<SecurityPermission>> taskPerms)

Setter for set task permission map.

Parameters:
  `taskPerms` - Task permissions.

#### setSystemPermissions

    public void setSystemPermissions(Collection<SecurityPermission> sysPerms)

Setter for set collection system permission.

Parameters:
  `sysPerms` - System permissions.

#### setDefaultAllowAll

    public void setDefaultAllowAll(boolean dfltAllowAll)

Setter for set default allow all.

Parameters:
  `dfltAllowAll` - Default allow all.

#### cachePermissions

    public Map<String,Collection<SecurityPermission>> cachePermissions()

Map of cache names to cache permissions. Wildcards are allowed at the end of cache names.

Specified by:
  `cachePermissions` in interface `SecurityPermissionSet`
Returns:
  Map of cache names to cache permissions.

#### taskPermissions

    public Map<String,Collection<SecurityPermission>> taskPermissions()

Map of task names to task permissions. Wildcards are allowed at the end of task names.

Specified by:
  `taskPermissions` in interface `SecurityPermissionSet`
Returns:
  Map of task names to task permissions.

#### systemPermissions

    @Nullable
    public Collection<SecurityPermission> systemPermissions()

Collection of system-wide permissions (events enable/disable, Visor task execution).

Specified by:
  `systemPermissions` in interface `SecurityPermissionSet`
Returns:
  Collection of system-wide permissions.

#### defaultAllowAll

    public boolean defaultAllowAll()

Flag indicating whether to allow or deny cache and task operations if they were not explicitly specified.

Specified by:
  `defaultAllowAll` in interface `SecurityPermissionSet`
Returns:
  `True` to allow all cache task operations if they were not explicitly specified, `false` otherwise.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017